Bug 114670 - [BLACKBERRY]fix warning(unused parameter)
Summary: [BLACKBERRY]fix warning(unused parameter)
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit BlackBerry (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-16 01:38 PDT by xuefeiren
Modified: 2013-04-21 19:47 PDT (History)
9 users (show)

See Also:


Attachments
remove warning (unused parameter ) in platform/graphics/blackberry (20.40 KB, patch)
2013-04-16 23:43 PDT, xuefeiren
no flags Details | Formatted Diff | Diff
remove warning (unused parameter ) in platform/graphics/blackberry (20.06 KB, patch)
2013-04-17 00:10 PDT, xuefeiren
no flags Details | Formatted Diff | Diff
remove warning ( unused parameter ) (8.90 KB, patch)
2013-04-17 01:28 PDT, xuefeiren
no flags Details | Formatted Diff | Diff
remove warning (unused parameter ) in /Source/WebKit/blackberry/Api (8.15 KB, patch)
2013-04-17 01:32 PDT, xuefeiren
no flags Details | Formatted Diff | Diff
remove warning (unused parameter ) in /Source/WebKit/blackberry/Api (8.17 KB, patch)
2013-04-17 01:44 PDT, xuefeiren
no flags Details | Formatted Diff | Diff
remove warning (unused parameter ) in Source/WebKit/blackberry/WebCoreSupport (11.33 KB, patch)
2013-04-17 02:35 PDT, xuefeiren
no flags Details | Formatted Diff | Diff
remove warning (unused parameter ) in Source/WebKit/blackberry/WebCoreSupport (20.93 KB, patch)
2013-04-17 02:49 PDT, xuefeiren
no flags Details | Formatted Diff | Diff
remove warning (unused parameter ) in /Source/WebKit/blackberry/Api (8.14 KB, patch)
2013-04-17 02:58 PDT, xuefeiren
no flags Details | Formatted Diff | Diff
remove warning ( unused parameter ) in Source/JavaScriptCore Source/WebCore (8.90 KB, patch)
2013-04-17 03:08 PDT, xuefeiren
no flags Details | Formatted Diff | Diff
remove warning (unused parameter ) in platform/graphics/blackberry (20.04 KB, patch)
2013-04-17 03:43 PDT, xuefeiren
no flags Details | Formatted Diff | Diff
remove warning (unused parameter ) in Source/WebKit/blackberry/WebCoreSupport (10.74 KB, patch)
2013-04-17 04:15 PDT, xuefeiren
no flags Details | Formatted Diff | Diff
remove warning (unused parameter ) in Source/WebKit/blackberry/WebCoreSupport (10.74 KB, patch)
2013-04-17 04:20 PDT, xuefeiren
rwlbuis: review+
commit-queue: commit-queue-
Details | Formatted Diff | Diff
remove warning (unused parameter ) in platform/graphics/blackberry (20.80 KB, patch)
2013-04-17 20:13 PDT, xuefeiren
rwlbuis: review-
charles.wei: commit-queue-
Details | Formatted Diff | Diff
remove warning ( unused parameter ) in Source/JavaScriptCore Source/WebCore (9.58 KB, patch)
2013-04-17 22:34 PDT, xuefeiren
no flags Details | Formatted Diff | Diff
remove warning (unused parameter ) in /Source/WebKit/blackberry/Api (9.58 KB, patch)
2013-04-17 22:41 PDT, xuefeiren
no flags Details | Formatted Diff | Diff
remove warning (unused parameter ) in Source/WebKit/blackberry/WebCoreSupport (12.32 KB, patch)
2013-04-17 22:45 PDT, xuefeiren
no flags Details | Formatted Diff | Diff
remove warning (unused parameter ) in WebKit/blackberry and DumpRenderTree/blackberry. etc (30.30 KB, patch)
2013-04-18 02:08 PDT, xuefeiren
no flags Details | Formatted Diff | Diff
remove warning ( unused parameter ) in Source/JavaScriptCore Source/WebCore (10.62 KB, patch)
2013-04-18 02:38 PDT, xuefeiren
no flags Details | Formatted Diff | Diff
remove warning (unused parameter ) in /Source/WebKit/blackberry/Api (9.70 KB, patch)
2013-04-18 02:44 PDT, xuefeiren
no flags Details | Formatted Diff | Diff
remove warning (unused parameter ) in Source/WebKit/blackberry/WebCoreSupport (12.51 KB, patch)
2013-04-18 02:54 PDT, xuefeiren
no flags Details | Formatted Diff | Diff
remove warning (unused parameter ) in WebKit/blackberry and DumpRenderTree/blackberry. etc (30.80 KB, patch)
2013-04-18 03:03 PDT, xuefeiren
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description xuefeiren 2013-04-16 01:38:20 PDT
fix unused parameter warnings.
Comment 1 xuefeiren 2013-04-16 23:43:16 PDT
Created attachment 198471 [details]
remove warning (unused parameter ) in platform/graphics/blackberry

remove warning (unused parameter ) in platform/graphics/blackberry
Comment 2 WebKit Commit Bot 2013-04-16 23:44:51 PDT
Attachment 198471 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/platform/graphics/blackberry/CanvasLayerWebKitThread.cpp', u'Source/WebCore/platform/graphics/blackberry/FontBlackBerry.cpp', u'Source/WebCore/platform/graphics/blackberry/FontCacheBlackBerry.cpp', u'Source/WebCore/platform/graphics/blackberry/GlyphPageTreeNodeBlackBerry.cpp', u'Source/WebCore/platform/graphics/blackberry/GraphicsContext3DBlackBerry.cpp', u'Source/WebCore/platform/graphics/blackberry/GraphicsContextBlackBerry.cpp', u'Source/WebCore/platform/graphics/blackberry/ImageBlackBerry.cpp', u'Source/WebCore/platform/graphics/blackberry/ImageBufferBlackBerry.cpp', u'Source/WebCore/platform/graphics/blackberry/LayerTiler.cpp', u'Source/WebCore/platform/graphics/blackberry/MediaPlayerPrivateBlackBerry.cpp', u'Source/WebCore/platform/graphics/blackberry/PathBlackBerry.cpp', u'Source/WebCore/platform/graphics/blackberry/PatternBlackBerry.cpp']" exit_code: 1
Source/WebCore/platform/graphics/blackberry/FontBlackBerry.cpp:65:  Extra space before )  [whitespace/parens] [2]
Total errors found: 1 in 12 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 xuefeiren 2013-04-17 00:10:35 PDT
Created attachment 198474 [details]
remove warning (unused parameter ) in platform/graphics/blackberry

remove warning (unused parameter ) in platform/graphics/blackberry
Comment 4 xuefeiren 2013-04-17 01:28:33 PDT
Created attachment 198480 [details]
remove warning ( unused parameter )

remove warning ( unused parameter )  in
        WebCore/loader/blackberry
        WebCore/platform/blackberry
        /Source/JavaScriptCore/runtime/GCActivityCallbackBlackBerry.cpp
        WebCore/platform/network/blackberry
Comment 5 xuefeiren 2013-04-17 01:32:51 PDT
Created attachment 198481 [details]
remove warning (unused parameter ) in /Source/WebKit/blackberry/Api

remove warning (unused parameter ) in /Source/WebKit/blackberry/Api
Comment 6 WebKit Commit Bot 2013-04-17 01:36:09 PDT
Attachment 198481 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebKit/blackberry/Api/BackingStore.cpp', u'Source/WebKit/blackberry/Api/BlackBerryGlobal.cpp', u'Source/WebKit/blackberry/Api/WebOverlay.cpp', u'Source/WebKit/blackberry/Api/WebPage.cpp', u'Source/WebKit/blackberry/Api/WebPageCompositor.cpp']" exit_code: 1
Source/WebKit/blackberry/Api/BackingStore.cpp:497:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebKit/blackberry/Api/BackingStore.cpp:498:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Total errors found: 2 in 5 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 7 xuefeiren 2013-04-17 01:44:15 PDT
Created attachment 198483 [details]
remove warning (unused parameter ) in /Source/WebKit/blackberry/Api

remove warning (unused parameter ) in /Source/WebKit/blackberry/Api
Comment 8 xuefeiren 2013-04-17 02:35:25 PDT
Created attachment 198487 [details]
remove warning (unused parameter ) in Source/WebKit/blackberry/WebCoreSupport

remove warning (unused parameter ) in Source/WebKit/blackberry/WebCoreSupport
Comment 9 WebKit Commit Bot 2013-04-17 02:38:17 PDT
Attachment 198487 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebKit/blackberry/WebCoreSupport/ChromeClientBlackBerry.cpp', u'Source/WebKit/blackberry/WebCoreSupport/DatePickerClient.cpp', u'Source/WebKit/blackberry/WebCoreSupport/EditorClientBlackBerry.cpp', u'Source/WebKit/blackberry/WebCoreSupport/FrameLoaderClientBlackBerry.cpp', u'Source/WebKit/blackberry/WebCoreSupport/InspectorClientBlackBerry.cpp', u'Source/WebKit/blackberry/WebCoreSupport/NetworkInfoClientBlackBerry.cpp', u'Source/WebKit/blackberry/WebCoreSupport/SelectPopupClient.cpp', u'Source/WebKit/blackberry/WebCoreSupport/UserMediaClientImpl.cpp']" exit_code: 1
Source/WebKit/blackberry/WebCoreSupport/ChromeClientBlackBerry.cpp:448:  Omit int when using unsigned  [runtime/unsigned] [1]
Total errors found: 1 in 8 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 10 xuefeiren 2013-04-17 02:49:21 PDT
Created attachment 198488 [details]
remove warning (unused parameter ) in Source/WebKit/blackberry/WebCoreSupport

remove warning (unused parameter ) in Source/WebKit/blackberry/WebCoreSupport
Comment 11 xuefeiren 2013-04-17 02:58:51 PDT
Created attachment 198490 [details]
remove warning (unused parameter ) in /Source/WebKit/blackberry/Api

remove warning (unused parameter ) in /Source/WebKit/blackberry/Api
Comment 12 xuefeiren 2013-04-17 03:08:33 PDT
Created attachment 198492 [details]
remove warning ( unused parameter ) in Source/JavaScriptCore 	Source/WebCore

remove warning ( unused parameter ) in Source/JavaScriptCore 	Source/WebCore
Comment 13 xuefeiren 2013-04-17 03:43:41 PDT
Created attachment 198495 [details]
remove warning (unused parameter ) in platform/graphics/blackberry

remove warning (unused parameter ) in platform/graphics/blackberry
Comment 14 xuefeiren 2013-04-17 04:15:36 PDT
Created attachment 198496 [details]
remove warning (unused parameter ) in Source/WebKit/blackberry/WebCoreSupport

remove warning (unused parameter ) in Source/WebKit/blackberry/WebCoreSupport
Comment 15 WebKit Commit Bot 2013-04-17 04:17:18 PDT
Attachment 198496 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebKit/blackberry/WebCoreSupport/ChromeClientBlackBerry.cpp', u'Source/WebKit/blackberry/WebCoreSupport/DatePickerClient.cpp', u'Source/WebKit/blackberry/WebCoreSupport/EditorClientBlackBerry.cpp', u'Source/WebKit/blackberry/WebCoreSupport/FrameLoaderClientBlackBerry.cpp', u'Source/WebKit/blackberry/WebCoreSupport/InspectorClientBlackBerry.cpp', u'Source/WebKit/blackberry/WebCoreSupport/NetworkInfoClientBlackBerry.cpp', u'Source/WebKit/blackberry/WebCoreSupport/SelectPopupClient.cpp', u'Source/WebKit/blackberry/WebCoreSupport/UserMediaClientImpl.cpp']" exit_code: 1
Source/WebKit/blackberry/WebCoreSupport/ChromeClientBlackBerry.cpp:448:  Omit int when using unsigned  [runtime/unsigned] [1]
Total errors found: 1 in 8 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 16 xuefeiren 2013-04-17 04:20:36 PDT
Created attachment 198497 [details]
remove warning (unused parameter ) in Source/WebKit/blackberry/WebCoreSupport

remove warning (unused parameter ) in Source/WebKit/blackberry/WebCoreSupport
Comment 17 Rob Buis 2013-04-17 04:46:21 PDT
Comment on attachment 198497 [details]
remove warning (unused parameter ) in Source/WebKit/blackberry/WebCoreSupport

Looks good.
Comment 18 WebKit Commit Bot 2013-04-17 05:14:28 PDT
Comment on attachment 198497 [details]
remove warning (unused parameter ) in Source/WebKit/blackberry/WebCoreSupport

Rejecting attachment 198497 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.appspot.com', '--bot-id=webkit-cq-01', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 198497, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
    -> origin/master
Partial-rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc ...
Currently at 148598 = 32ba4d80be77591635f4139ffb71c932dd6e228c
r148599 = dfbc393ad5b4b84207afab5ff9e16e43dfe76495
r148600 = 84bb53e6e04f1cf9db666c324d522189941e6c2c
Done rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc
First, rewinding head to replay your work on top of it...
Fast-forwarded master to refs/remotes/origin/master.

Full output: http://webkit-queues.appspot.com/results/73119
Comment 19 Rob Buis 2013-04-17 05:24:31 PDT
(In reply to comment #18)
> (From update of attachment 198497 [details])
> Rejecting attachment 198497 [details] from commit-queue.
> 
> Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.appspot.com', '--bot-id=webkit-cq-01', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 198497, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit
> 
> Last 500 characters of output:
>     -> origin/master
> Partial-rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc ...
> Currently at 148598 = 32ba4d80be77591635f4139ffb71c932dd6e228c
> r148599 = dfbc393ad5b4b84207afab5ff9e16e43dfe76495
> r148600 = 84bb53e6e04f1cf9db666c324d522189941e6c2c
> Done rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc
> First, rewinding head to replay your work on top of it...
> Fast-forwarded master to refs/remotes/origin/master.
> 
> Full output: http://webkit-queues.appspot.com/results/73119

Oops! Xuefei, this needs a ChangeLog, I missed it in the review...
Comment 20 Rob Buis 2013-04-17 15:00:28 PDT
(In reply to comment #19)
> (In reply to comment #18)
> > (From update of attachment 198497 [details] [details])
> > Rejecting attachment 198497 [details] [details] from commit-queue.
> > 
> > Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.appspot.com', '--bot-id=webkit-cq-01', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 198497, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit
> > 
> > Last 500 characters of output:
> >     -> origin/master
> > Partial-rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc ...
> > Currently at 148598 = 32ba4d80be77591635f4139ffb71c932dd6e228c
> > r148599 = dfbc393ad5b4b84207afab5ff9e16e43dfe76495
> > r148600 = 84bb53e6e04f1cf9db666c324d522189941e6c2c
> > Done rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc
> > First, rewinding head to replay your work on top of it...
> > Fast-forwarded master to refs/remotes/origin/master.
> > 
> > Full output: http://webkit-queues.appspot.com/results/73119
> 
> Oops! Xuefei, this needs a ChangeLog, I missed it in the review...

Xuefei, I add some warning fixes in my branch, see webkit/85b353cd93d18225fd4cffcbd5f68d12776ab6d1. Can you integrate it with your patch?
Comment 21 xuefeiren 2013-04-17 19:49:29 PDT
(In reply to comment #20)
> (In reply to comment #19)

> Xuefei, I add some warning fixes in my branch, see webkit/85b353cd93d18225fd4cffcbd5f68d12776ab6d1. Can you integrate it with your patch?

Sure
Comment 22 xuefeiren 2013-04-17 20:13:26 PDT
Created attachment 198673 [details]
remove warning (unused parameter ) in platform/graphics/blackberry

remove warning (unused parameter ) in platform/graphics/blackberry
Comment 23 xuefeiren 2013-04-17 22:34:14 PDT
Created attachment 198680 [details]
remove warning ( unused parameter ) in Source/JavaScriptCore 	Source/WebCore

remove warning ( unused parameter ) in Source/JavaScriptCore 	Source/WebCore
Comment 24 xuefeiren 2013-04-17 22:41:33 PDT
Created attachment 198681 [details]
remove warning (unused parameter ) in /Source/WebKit/blackberry/Api

remove warning (unused parameter ) in /Source/WebKit/blackberry/Api
Comment 25 xuefeiren 2013-04-17 22:45:48 PDT
Created attachment 198682 [details]
remove warning (unused parameter ) in Source/WebKit/blackberry/WebCoreSupport

remove warning (unused parameter ) in Source/WebKit/blackberry/WebCoreSupport
Comment 26 xuefeiren 2013-04-18 02:08:56 PDT
Created attachment 198697 [details]
remove warning (unused parameter ) in WebKit/blackberry and DumpRenderTree/blackberry. etc

remove warning (unused parameter ) in WebKit/blackberry and DumpRenderTree/blackberry
Comment 27 xuefeiren 2013-04-18 02:38:56 PDT
Created attachment 198702 [details]
remove warning ( unused parameter ) in Source/JavaScriptCore 	Source/WebCore

remove warning ( unused parameter ) in Source/JavaScriptCore 	Source/WebCore
Comment 28 xuefeiren 2013-04-18 02:44:12 PDT
Created attachment 198703 [details]
remove warning (unused parameter ) in /Source/WebKit/blackberry/Api

remove warning (unused parameter ) in /Source/WebKit/blackberry/Api
Comment 29 xuefeiren 2013-04-18 02:54:04 PDT
Created attachment 198704 [details]
remove warning (unused parameter ) in Source/WebKit/blackberry/WebCoreSupport

remove warning (unused parameter ) in Source/WebKit/blackberry/WebCoreSupport
Comment 30 xuefeiren 2013-04-18 03:03:29 PDT
Created attachment 198705 [details]
remove warning (unused parameter ) in WebKit/blackberry and DumpRenderTree/blackberry. etc

remove warning (unused parameter ) in WebKit/blackberry and DumpRenderTree/blackberry. etc
Comment 31 Rob Buis 2013-04-18 05:15:21 PDT
Comment on attachment 198704 [details]
remove warning (unused parameter ) in Source/WebKit/blackberry/WebCoreSupport

LGTM.
Comment 32 WebKit Commit Bot 2013-04-18 05:42:38 PDT
Comment on attachment 198704 [details]
remove warning (unused parameter ) in Source/WebKit/blackberry/WebCoreSupport

Clearing flags on attachment: 198704

Committed r148667: <http://trac.webkit.org/changeset/148667>
Comment 33 Rob Buis 2013-04-18 07:14:23 PDT
Comment on attachment 198703 [details]
remove warning (unused parameter ) in /Source/WebKit/blackberry/Api

Looks good.
Comment 34 Rob Buis 2013-04-18 07:18:11 PDT
Comment on attachment 198702 [details]
remove warning ( unused parameter ) in Source/JavaScriptCore 	Source/WebCore

LGTM.
Comment 35 Rob Buis 2013-04-18 07:20:14 PDT
Comment on attachment 198673 [details]
remove warning (unused parameter ) in platform/graphics/blackberry

View in context: https://bugs.webkit.org/attachment.cgi?id=198673&action=review

> Source/WebCore/platform/graphics/blackberry/GraphicsContext3DBlackBerry.cpp:238
> +void GraphicsContext3D::logFrameBufferStatus(int)

This is wrong, line is still being used in debug builds in BBLOG. You'll need to test NDEBUG to do the right thing.
Comment 36 Rob Buis 2013-04-18 07:27:47 PDT
Comment on attachment 198705 [details]
remove warning (unused parameter ) in WebKit/blackberry and DumpRenderTree/blackberry. etc

LGTM.
Comment 37 WebKit Commit Bot 2013-04-18 07:28:15 PDT
The commit-queue encountered the following flaky tests while processing attachment 198703 [details]:

svg/as-image/img-relative-height.html bug 114140 (author: zimmermann@kde.org)
The commit-queue is continuing to process your patch.
Comment 38 WebKit Commit Bot 2013-04-18 07:29:08 PDT
Comment on attachment 198703 [details]
remove warning (unused parameter ) in /Source/WebKit/blackberry/Api

Clearing flags on attachment: 198703

Committed r148676: <http://trac.webkit.org/changeset/148676>
Comment 39 WebKit Commit Bot 2013-04-18 07:54:14 PDT
Comment on attachment 198705 [details]
remove warning (unused parameter ) in WebKit/blackberry and DumpRenderTree/blackberry. etc

Clearing flags on attachment: 198705

Committed r148677: <http://trac.webkit.org/changeset/148677>
Comment 40 WebKit Commit Bot 2013-04-18 08:00:15 PDT
Comment on attachment 198702 [details]
remove warning ( unused parameter ) in Source/JavaScriptCore 	Source/WebCore

Clearing flags on attachment: 198702

Committed r148678: <http://trac.webkit.org/changeset/148678>
Comment 41 WebKit Commit Bot 2013-04-18 08:00:20 PDT
All reviewed patches have been landed.  Closing bug.
Comment 42 Ming Xie 2013-04-18 10:56:36 PDT
Xuefei, your previous cleanup patch broke the debug build.

Can you merge the following change in your new patch? Thanks!

diff --git a/Source/WebKit/blackberry/WebKitSupport/RenderQueue.cpp b/Source/WebKit/blackberry/WebKitSupport/RenderQueue.cpp
index a6b8b95..16b7718 100644
--- a/Source/WebKit/blackberry/WebKitSupport/RenderQueue.cpp
+++ b/Source/WebKit/blackberry/WebKitSupport/RenderQueue.cpp
@@ -879,7 +879,7 @@ void RenderQueue::renderScrollZoomJobs(TileIndexList* outstandingJobs, TileIndex
         scrollZoomJobsCompleted(*outstandingJobs, completedJobs, shouldBlitWhenCompleted);
 }
 
-void RenderQueue::scrollZoomJobsCompleted(const TileIndexList&, TileIndexList* completedJobs, bool shouldBlit)
+void RenderQueue::scrollZoomJobsCompleted(const TileIndexList& outstandingJobs, TileIndexList* completedJobs, bool shouldBlit)
 {
     // Get rid of the completed list!
     ASSERT(outstandingJobs.isEmpty());
Comment 43 xuefeiren 2013-04-18 18:38:55 PDT
(In reply to comment #42)
> Xuefei, your previous cleanup patch broke the debug build.

ok,sorry about this,i'll fix it right now.